Author Topic: Os/2 warp 3  (Read 1114 times)

jacco123

  • Newbie
  • *
  • Posts: 11
  • Karma: +0/-0
    • View Profile
Os/2 warp 3
« on: December 08, 2022, 07:00:47 pm »
Hello . I have a old server computer a compaq prosignia . I have first created the boot floppies from warp 3.0 . Then i starts the installation . After reading disk 2 it tells me that it cannot find a crom device .
In the computer there is a cdrom device . A scsi cdrom device.
How can i install os/2 warp 3 with a scsi cdrom player ? I must creating a updated disk but what for driver must i put on the disk to recognise the scsi cd rom player?

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4190
  • Karma: +81/-0
    • View Profile
Re: Os/2 warp 3
« Reply #1 on: December 08, 2022, 07:36:20 pm »
It depends on the SCSI card, they mostly take different drivers. What card is it?
This also might help, http://web.archive.org/web/20060926010038/http://www.warpupdates.mynetcologne.de/english/inst_diskettes.html#w3x with luck they have the SCSI driver you need. Lots of other good info at the site, even with broken links it gives stuff to Google.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4002
  • Karma: +39/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Os/2 warp 3
« Reply #2 on: December 08, 2022, 08:48:40 pm »
Hi jacco123

There are also some updated install diskettes on this hobbes directory. Maybe something can help.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

ivan

  • Hero Member
  • *****
  • Posts: 1435
  • Karma: +15/-0
    • View Profile
Re: Os/2 warp 3
« Reply #3 on: December 08, 2022, 11:33:20 pm »
I have several HP/Compaq servers all running OS/2 v4, the fact you want to run OS/2 v3 shouldn't make much difference to what you need to do in the way of preparation.
The first thing you need to know is what are the components in the server - SCSI card or chip-set, the same with the network chip-set, video shouldn't be a problem neither should the keyboard or mouse.
Your biggest problem is going to be finding the required drivers for all those although the site Dave mentioned gives a good start and the IBM ftp site is still in existence and has the last fix paks available.
 ftp://service.software.ibm.com/ps/products/os2/fixes/v33.0warp/

Have fun and come back and ask questions although many of us have forgotten what we did with v3warp.

jacco123

  • Newbie
  • *
  • Posts: 11
  • Karma: +0/-0
    • View Profile
Re: Os/2 warp 3
« Reply #4 on: December 09, 2022, 11:05:30 pm »
Ok i have a compaq fast 2 scsi adapter with only a cdrom.
The harddisk is on a promise fasttrack ide controller .
I search for a cdrom driver but i have nothing found.

ivan

  • Hero Member
  • *****
  • Posts: 1435
  • Karma: +15/-0
    • View Profile
Re: Os/2 warp 3
« Reply #5 on: December 10, 2022, 09:29:58 am »
I will dig out my archived HP files.  You might need to change the CD drive for an ide one, I did on all my servers.  I think the Dani driver should work for the disks and give better response.

Moritz

  • Newbie
  • *
  • Posts: 45
  • Karma: +0/-0
    • View Profile
Re: Os/2 warp 3
« Reply #6 on: December 10, 2022, 12:08:05 pm »
Hi,

SCSI Drivers can be found here https://www.os2site.com/sw/drivers/scsi/index.html. I also did some research for Comapc Prosignia and SCSI. It came up with this: https://www.ebay.de/itm/323825801053. So maybe you have a Symbios Chip.

Good luck

Lars

  • Hero Member
  • *****
  • Posts: 1088
  • Karma: +54/-0
    • View Profile
Re: Os/2 warp 3
« Reply #7 on: December 10, 2022, 02:35:12 pm »
Ok i have a compaq fast 2 scsi adapter with only a cdrom.
The harddisk is on a promise fasttrack ide controller .
I search for a cdrom driver but i have nothing found.

You don't need a CD-ROM driver. You need a SCSI host controller driver. Once that is in place, SCSI hard disks as well as CD-ROM drives will work.

jacco123

  • Newbie
  • *
  • Posts: 11
  • Karma: +0/-0
    • View Profile
Re: Os/2 warp 3
« Reply #8 on: December 10, 2022, 05:42:49 pm »
Ok now i have found a driver for the cdrom device . Another problem i have is that os/2 tells me that there is no harddisk found or floppy.
I have a promise fast track 100 ide adapter and the harddisk is formatted . Must i use a driver for the promise fast track ?
I can nothing found there are only windows and linux drivers for it but no os/2 .
Anyone a idea how to fix ?

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4002
  • Karma: +39/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Os/2 warp 3
« Reply #9 on: December 10, 2022, 06:03:39 pm »
...So maybe you have a Symbios Chip.
Nice.

So maybe the driver can be SYM8XX.ADD or SYM416.ADD. Symbios was sold to LSI, so maybe some other LSI SCSI driver may work.

Sometimes the easy way to know the model is to open up the machine, check the SCSI card, check the model there and/or read the text on the chips on it. Pictures are welcome on this forum :)

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4190
  • Karma: +81/-0
    • View Profile
Re: Os/2 warp 3
« Reply #10 on: December 10, 2022, 06:07:05 pm »
I believe the Dani IDE drivers support your Promise controller. https://hobbes.nmsu.edu/download/pub/os2/system/drivers/storage/Danis506_1-8-15.zip.
You will have to copy DaniS506.ADD to your boot floppy, probably including deleting an unwanted driver (lots of useless SCSI drivers there), add "BASEDEV=DaniS506.ADD" to config.sys below your SCSI driver and IIRC, add "SET COPYFROMFLOPPY=TRUE" to config.sys. This will also give you large HD support.
Hopefully if I'm misremebering, someone with a better memory can chime in.

Tom

  • Full Member
  • ***
  • Posts: 147
  • Karma: +2/-0
    • View Profile
Re: Os/2 warp 3
« Reply #11 on: December 10, 2022, 06:26:46 pm »
I believe the Dani IDE drivers support your Promise controller. https://hobbes.nmsu.edu/download/pub/os2/system/drivers/storage/Danis506_1-8-15.zip.
You will have to copy DaniS506.ADD to your boot floppy, probably including deleting an unwanted driver (lots of useless SCSI drivers there), add "BASEDEV=DaniS506.ADD" to config.sys below your SCSI driver and IIRC, add "SET COPYFROMFLOPPY=TRUE" to config.sys. This will also give you large HD support.
Hopefully if I'm misremebering, someone with a better memory can chime in.

SET copyfromfloppy=1 in the config.sys on diskette 1 (not on the installation diskette), and also place the new driver on diskette 1 (not on the installation diskette)

Much information can be found here: http://web.archive.org/web/20070807222956/http://www.warpupdates.mynetcologne.de/english/inst_diskettes.html#w3x

Lars

  • Hero Member
  • *****
  • Posts: 1088
  • Karma: +54/-0
    • View Profile
Re: Os/2 warp 3
« Reply #12 on: December 12, 2022, 03:46:33 pm »
I believe the Dani IDE drivers support your Promise controller. https://hobbes.nmsu.edu/download/pub/os2/system/drivers/storage/Danis506_1-8-15.zip.
You will have to copy DaniS506.ADD to your boot floppy, probably including deleting an unwanted driver (lots of useless SCSI drivers there), add "BASEDEV=DaniS506.ADD" to config.sys below your SCSI driver and IIRC, add "SET COPYFROMFLOPPY=TRUE" to config.sys. This will also give you large HD support.
Hopefully if I'm misremebering, someone with a better memory can chime in.

The readme.txt contained in the zip contains this so there is a pretty good chance that it will do:

Code: [Select]
Vendor
 | Device
 | | Revision       ATA  LBA48  ATAPI       ATA66  ATA133
 | | | south/host bridge id     PIO DMA DMA  PIO DMA  ATA33 | ATA100|   Docs
 | | | | south/host bridge rev.    32bit |   | 32bit |     | |   | |  avail
 | | | | |      | |   |   |   |     | |   | |    |
 v v v v v      v v   v   v   v     v v   v v    v
 0x105A Promise
   0x4D33 PDC20246   Ultra33      x x   -   -   -     x -   - -    *
   0x4D38 PDC20262   Ultra66      x x   x!   -  (x)    x x   - -    *
   0x0D38 PDC20263   Ultra66      x x   x!   -  (x)    x x   - -   (*)
   0x0D30 PDC20265   Ultra100      x x   x!   -  (x)    x x   x -    *
   0x4D30 PDC20267   Ultra100      x x   x!   -  (x)    x x   x -    *
   0x4D68 PDC20268   Ultra100 TX2    x x   x   x   x     x x   x -   (*)
   0x6268 PDC20270   Ultra100 TX2    x x   x   x   x     x x   x -   (*)
   0x4D69 PDC20269   Ultra133 TX2    x x   x   x   x     x x   x x    *
   0x6269 PDC20271   Ultra133 TX2    x x   x   x   x     x x   x x   (*)
   0x1275 PDC20275   Ultra133 TX2    x x   x   x   x     x x   x x   (*)
   0x5275 PDC20276   Ultra133 TX2    x x   x   x   x     x x   x x    *
   0x7275 PDC20277   Ultra133 TX2    x x   x   x   x     x x   x x   (*)
   0x6617 PDC20617      - x   x   -   ?     x x   x x    -
   0x6626 PDC20618      - x   x   -   ?     x x   x x    -
   0x6629 PDC20619      - x   x   -   ?     x x   x x    -
   0x6620 PDC20620      - x   x   -   ?     x x   x x    -
   0x3371 PDC20371 FT S150 TX2plus   - x   x   -   ?     x x   x x    x
   0x3375 PDC20375 SATA150 TX2plus   - x   x   -   ?     x x   x x    x
   0x3574 PDC20579 SATAII150 TX2plus - x   x   -   ?     x x   x x    x
   0x3D75 PDC20575 SATAII150 TX2plus - x   x   -   ?     x x   x x    x
   0x3D73 PDC40775 SATA300 TX2plus   - x   x   -   ?     x x   x x    -

Dariusz Piatkowski

  • Hero Member
  • *****
  • Posts: 1220
  • Karma: +25/-0
    • View Profile
Re: Os/2 warp 3
« Reply #13 on: December 13, 2022, 03:13:03 am »
Way back when I used to run the Promise EIDE 2300 Plus HD and I/O controller. We are talking IDE connectors though...and most likely that would have been Warp3 timeframe.

Anyways...I thought I still had the original Promise device drivers, but no luck. I had actually worked with them to address a bug that I originally found. However...when Dani published v 1.8.5 of her drivers the Promise controllers showed up as being supported and indeed, following my testing I shared with her my feedback to that effect (just now I found that email archived in one of my PMMail OS/2 folders, we are talking Apr_2009 timeframe).

Therefore, my recommendation would be that you download the latest Dani driver, search Hobbes, I think 1.8.15 is the last one she released.